KCONFIG_COMPILER(1)

kconfig_compiler

NAME
kconfig_compiler - KDE configuration compiler

SYNOPSIS

kconfig_compiler [Qt-options] [KDE-options] [options] file.kcfg file.kcfgc

DESCRIPTION

kconfig_compiler generates C++ source code from two files. The first file (.kcfg) contains information about configuration options and the second file (.kcfgc) provides the code generation options.

The generated source code contains a class based on KConfigSkeleton that provides an API to access the applications configuration data.

OPTIONS

Arguments:

file.kcfg
    Input kcfg XML file

file.kcfgc
    Code generation options file

Options:

-d, --directory <dir>
    Directory to generate files in [.]

Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

KDE Options:

--caption <caption>
    Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the application icon

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP server specified by 'server'

--nocrashhandler
    Disable crash handler to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    Sets the application GUI style

--geometry <geometry>
    Sets the client geometry of the main widget - see man X for the argument format

Qt options:

--display <displayname>
    Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    Tells Qt to never grab the mouse or the keyboard

--sync
    Switches to synchronous mode for debugging

--fn, --font <fontname>
    Defines the application font

--bg, --background <color>
    Sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    Sets the default foreground color

--btn, --button <color>
    Sets the default button color

--name <name>
    Sets the application name

--title <title>
    Sets the application title (caption)

--visual TrueColor
    Forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    Sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot, and root

--im <XIM server>
    Sets XIM server

--noxim
    Disable XIM

--reverse
    Mirrors the whole layout of widgets

SEE ALSO

http://developer.kde.org
    KDE Developer's Corner website

BUGS

Please use bugs.kde.org[1] to report bugs, do not mail the authors directly.

AUTHORS

Cornelius Schumacher <schumacher@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

Zack Rusin <zack@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org